> For the complete documentation index, see [llms.txt](https://docs.lithnet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lithnet.io/ams/v1.0/configuration/deploying_features/setting-up-integrated-windows-authentication.md).

# Integrated Windows authentication

The following guide will assist you in configuring your application to use Integrated Windows Authentication (IWA).

Note, that we recommend that you use a strong authentication mechanism such as OpenID Connect, where you have the ability to enforce multi-factor authentication on users attempting to access your application. Access Manager fully supports modern OIDC providers such as [Azure AD ](/ams/v1.0/configuration/setting_up_authentication/setting-up-authentication-with-azure-ad.md)and[ Okta](/ams/v1.0/configuration/setting_up_authentication/setting-up-authentication-with-okta.md).

## Part 1: Configure the SPN

Lithnet Access Manager uses kernel-mode authentication, which means the computer account, rather than the service account is used to authenticate the client. This means that the Kerberos service principal name must be applied to the computer account, rather than the service account.

If your web url hostname is different to your machines AD hostname, then you'll need to register an SPN for this hostname.

Run the following command to set the SPN. Replace {dnsName} with the hostname web clients will use to access the service and {computerNetBIOSName} with the AD computer name

```
setspn -s HTTP/{dnsName} {computerNetBIOSName}
```

For a website called `accessmanager.lithnet.local` running on computer `AMSWEB01`, the command would be

```
setspn -s HTTP/accessmanager.lithnet.local AMSWEB01
```

## Part 2: Configure Lithnet Access Manager

![](https://1984618955-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FAsBzwJDeLC2ny10RHLdI%2Fuploads%2Fgit-blob-1ea128638c4a2ad6fc0b2396c6c6b45381473981%2Fui-page-authentication-iwa.png?alt=media)

1. Select `Integrated windows authentication` as the authentication provider
2. Select `Negotiate` for the authentication scheme.

> Note: Use of NTLM and basic auth is not recommended and are provided for testing purposes only.

To restrict clients to the use of Kerberos only, disable incoming NTLM authentication for the server using [group policy](https://docs.microsoft.com/en-us/windows/security/threat-protection/security-policy-settings/network-security-restrict-ntlm-incoming-ntlm-traffic).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lithnet.io/ams/v1.0/configuration/deploying_features/setting-up-integrated-windows-authentication.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
